### Method

# Soup Server listen_local

#### Declaration [src]

    gboolean
    soup_server_listen_local (
      SoupServer* server,
      guint port,
      SoupServerListenOptions options,
      GError** error
    )

#### Description [src]

Attempts to set up `server` to listen for connections on “localhost”.

That is, `127.0.0.1` and/or `::1`, depending on whether `options` includes `SOUP_SERVER_LISTEN_IPV4_ONLY`, `SOUP_SERVER_LISTEN_IPV6_ONLY`, or neither). If `port` is specified, `server` will listen on that port. If it is 0, `server` will find an unused port to listen on. (In that case, you can use `soup_server_get_uris()` to find out what port it ended up choosing.

See `soup_server_listen()` for more details.

#### Parameters

`port`

  Type: `guint`

  The port to listen on, or 0

`options`

  Type: `SoupServerListenOptions`

  Listening options for this server.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` if `port` could not be bound or any other error occurred (in which case `error` will be set).